// Code generated by "stringer -type=Direction"; DO NOT EDIT.

package day12

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[East-0]
	_ = x[South-1]
	_ = x[West-2]
	_ = x[North-3]
}

const _Direction_name = "EastSouthWestNorth"

var _Direction_index = [...]uint8{0, 4, 9, 13, 18}

func (i Direction) String() string {
	if i < 0 || i >= Direction(len(_Direction_index)-1) {
		return "Direction(" + strconv.FormatInt(int64(i), 10) + ")"
	}
	return _Direction_name[_Direction_index[i]:_Direction_index[i+1]]
}
